Arch: Assi

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Axis and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎українська
Arrow-left.svg Arch CompAxis.png Assi Pagina precedente:
Pagina successiva: Sistema di assi Arch AxisSystem.png Arrow-right.svg

Arch Axis.svg Assi

Posizione nel menu
Arch → Assi
Ambiente
Arch
Avvio veloce
A X
Introdotto nella versione
-
Vedere anche
Sistema di assi, Griglia


Descrizione

Lo strumento Assi permette di posizionare una serie di assi nel documento corrente. La distanza e l'angolo tra gli assi è personalizzabile, così come lo stile di numerazione. Gli assi servono principalmente da riferimento per bloccare gli oggetti, ma possono anche essere utilizzati in combinazione con dei Sistemi di assi, e possono anche essere referenziati da altri oggetti Arch per creare schiere parametriche, ad esempio di travi o colonne. Al posto degli assi si può anche usare una Griglia.

Arch Axis example.jpg

Due assi posizionati perpendicolarmente tra loro per creare una griglia


Utilizzo

  1. Premere il pulsante Arch Axis.svg Assi, oppure premere i tasti A e X
  2. Spostare o ruotare il sistema di assi nella posizione desiderata
  3. Attivare la modalità di modifica facendo doppio clic sul sistema di assi nella vista ad albero per regolare le impostazioni quali il numero di assi, le distanze e gli angoli tra gli assi.

Opzioni

  • Ogni asse di un sistema di assi ha una propria distanza e un proprio angolo rispetto all'asse precedente. Questo permette di creare sistemi molto complessi, quali sistemi non ortogonali, sistemi polari o qualsiasi tipo di sistema non uniforme.
  • Facendo doppio clic sull'asse nella vista ad albero è possibile modificare le distanze, gli angoli e le etichette di ciascun asse.
  • La lunghezza degli assi, le dimensioni delle bolle e gli stili di numerazione sono personalizzabili direttamente tramite le proprietà del sistema di assi.
  • Ogni asse può anche visualizzare un'etichetta, anch'essa modificabile tramite la finestra di dialogo del pannello azioni.

Proprietà

  • DATILength: La lunghezza degli assi
  • VISTABubble Size: La dimensione dei cerchi di numerazione degli assi
  • VISTANumeration style: Lo stile di numerazione degli assi: 1,2,3, A, B, C, ecc.
  • VISTABubble Position: Dove la bolla è posizionata sull'asse: al punto iniziale, endpoint, entrambi o nessuno.
  • VISTAFont Name: Un font per disegnare il numero della bolla e/o le etichette
  • VISTAFont Size: Solo la dimensione del testo dell'etichetta (il testo della bolla è controllato dalla dimensione della bolla)
  • VISTAShow Labels: Attiva/disattiva la visualizzazione dei testi delle etichette

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Assi può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Axes = makeAxis(num=5, size=1000, name="Axes")
  • Crea un oggetto Axes con un dato numero (num) di assi e un intervallo size tra ciascun asse.

Esempio:

import Draft, Arch

Axes = Arch.makeAxis(5, 1000)

Axes.ViewObject.LineWidth = 3
Axes.ViewObject.BubbleSize = 200
Axes.ViewObject.FontSize = 150

Axes2 = Arch.makeAxis(6, 500)

Axes2.ViewObject.LineWidth = 2
Axes2.ViewObject.BubbleSize = 200
Axes2.ViewObject.FontSize = 150
Axes2.ViewObject.NumberingStyle = "A,B,C"
FreeCAD.ActiveDocument.recompute()

Axes2.Length = 6000
Draft.rotate(Axes2, -90)
Draft.move(Axes2, FreeCAD.Vector(-1000, 2500, 0))
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch CompAxis.png Assi Pagina precedente:
Pagina successiva: Sistema di assi Arch AxisSystem.png Arrow-right.svg